Package com.enonic.xp.page

## Class PageTemplate.Builder

- java.lang.Object
- - com.enonic.xp.content.Content.Builder<PageTemplate.Builder>
  - - com.enonic.xp.page.PageTemplate.Builder

- Enclosing class:
    PageTemplate

      public static class PageTemplate.Builder
      extends Content.Builder<PageTemplate.Builder>

- - ### Field Summary

    - ### Fields inherited from class com.enonic.xp.content.Content.Builder

      `archivedBy, archivedTime, attachments, childOrder, createdTime, creator, data, displayName, extraDatas, hasChildren, id, inherit, inheritPermissions, language, manualOrderValue, modifiedTime, modifier, name, originalName, originalParentPath, originProject, owner, page, parentPath, permissions, processedReferences, publishInfo, root, thumbnail, type, valid, validationErrors, variantOf, workflowInfo`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Builder​(PageTemplate source)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `PageTemplate` | `build()` |
    `PageTemplate.Builder` | `canRender​(ContentTypeNames names)` |
    `PageTemplate.Builder` | `config​(PropertyTree config)` |
    `PageTemplate.Builder` | `controller​(DescriptorKey descriptorKey)` |
    `PageTemplate.Builder` | `id​(ContentId value)` |
    `PageTemplate.Builder` | `key​(PageTemplateKey value)` |
    `PageTemplate.Builder` | `regions​(PageRegions value)` |

    - ### Methods inherited from class com.enonic.xp.content.Content.Builder

      `addExtraData, addProcessedReference, archivedBy, archivedTime, attachments, childOrder, contentState, createdTime, creator, data, displayName, extraDatas, hasChildren, inheritPermissions, language, manualOrderValue, modifiedTime, modifier, name, name, originalName, originalParentPath, originProject, owner, page, parentPath, path, path, permissions, processedReferences, publishInfo, root, setInherit, thumbnail, type, valid, validationErrors, variantOf, workflowInfo`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Builder

          public Builder​(PageTemplate source)

  - ### Method Detail

    - #### key

          public PageTemplate.Builder key​(PageTemplateKey value)

    - #### id

          public PageTemplate.Builder id​(ContentId value)

      Overrides:
        `id` in class `Content.Builder<PageTemplate.Builder>`

    - #### controller

          public PageTemplate.Builder controller​(DescriptorKey descriptorKey)

    - #### canRender

          public PageTemplate.Builder canRender​(ContentTypeNames names)

    - #### regions

          public PageTemplate.Builder regions​(PageRegions value)

    - #### config

          public PageTemplate.Builder config​(PropertyTree config)

    - #### build

          public PageTemplate build()

      Overrides:
        `build` in class `Content.Builder<PageTemplate.Builder>`